Package: geb.module

## [Groovy] Class FormElement

- geb.module.FormElement

-     class FormElement
      extends Module

  A module that can be used to access common properties of form elements. Serves as a base for more specialised modules modeling form elements. An attempt to initialize this module with a base other than a `button`, `input`, `option`, `select` or `textarea` will result in an InvalidModuleBaseException.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class Module` | `browser, navigator`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `FormElement ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `ensureAtMostOneBaseElement()`
    `` | `protected void` | `initialized()`
    `` | `boolean` | `isDisabled()` Allows to check if the first element of base navigator for this module is disabled based on the value of it's `disabled` attribute.
    `` | `boolean` | `isEditable()` Shorthand for { code: !
    `` | `boolean` | `isEnabled()` Shorthand for { code: !
    `` | `boolean` | `isReadOnly()` Allows to check if the first element of base navigator for this module is read-only based on the value of it's `readonly` attribute.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Module` | `asBoolean, equals, getContentPath, getHasOwner, getInitializedNavigator, getJs, getRootContainer, getStringRepresentation, hashCode, init, init, initialized, methodMissing, propertyMissing, propertyMissing, setEventListener, toString, uninitializedException, waitFor, waitFor, waitFor, waitFor`

- - ### Constructor Detail

    - #### FormElement()

  - ### Method Detail

    - #### protected void ensureAtMostOneBaseElement()

    - #### protected void initialized()

    - #### boolean isDisabled()

      Allows to check if the first element of base navigator for this module is disabled based on the value of it's `disabled` attribute.

      Returns:
        true when the first element of base navigator is disabled

    - #### boolean isEditable()

      Shorthand for `!readOnly`.

      Returns:
        true when the first element of base navigator is editable
      See Also:
        isReadOnly()

    - #### boolean isEnabled()

      Shorthand for `!disabled`

      Returns:
        true when the first element of base navigator is enabled
      See Also:
        isDisabled()

    - #### boolean isReadOnly()

      Allows to check if the first element of base navigator for this module is read-only based on the value of it's `readonly` attribute.

      Returns:
        true when the first element of base navigator is read-only